package cz.jzitnik.game.smelting;

import cz.jzitnik.game.entities.items.Item;
import cz.jzitnik.game.entities.items.ItemBlockSupplier;

import java.util.HashMap;
import java.util.function.Supplier;

public class Smelting {
    public static final HashMap<String, Supplier<Item>> smeltingList = new HashMap<>();
    static {
        smeltingList.put("cobblestone", () -> ItemBlockSupplier.getItem("stone"));
        smeltingList.put("porkchop", () -> ItemBlockSupplier.getItem("cooked_porkchop"));
        smeltingList.put("mutton", () -> ItemBlockSupplier.getItem("cooked_mutton"));
        smeltingList.put("iron_ore", () -> ItemBlockSupplier.getItem("iron_ingot"));
        smeltingList.put("gold_ore", () -> ItemBlockSupplier.getItem("gold_ingot"));
        smeltingList.put("oak_log", () -> ItemBlockSupplier.getItem("coal"));
        smeltingList.put("beef", () -> ItemBlockSupplier.getItem("steak"));
        smeltingList.put("diamond_ore", () -> ItemBlockSupplier.getItem("diamond"));
    }

    public static final HashMap<String, Double> fuelList = new HashMap<>();
    static {
        fuelList.put("oak_log", 1.5);
        fuelList.put("oak_planks", 1.5);
        fuelList.put("coal", 8.0);
        fuelList.put("coal_block", 80.0);
        fuelList.put("wooden_sword", 1.0);
        fuelList.put("wooden_pickaxe", 1.0);
        fuelList.put("wooden_axe", 1.0);
        fuelList.put("wooden_shovel", 1.0);
        fuelList.put("wooden_hoe", 1.0);
        fuelList.put("stick", 0.5);
        fuelList.put("lava_bucket", 100.0);
    }
}
